Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPStructuredDataReader Class Reference

`#include <vtkXMLPStructuredDataReader.h>`

Inheritance diagram for vtkXMLPStructuredDataReader:

[legend]
Collaboration diagram for vtkXMLPStructuredDataReader:

[legend]
List of all members.

## Detailed Description

Superclass for parallel structured data XML readers.

Date:
  2002/10/23 15:49:47

Revision:
  1.2

vtkXMLPStructuredDataReader provides functionality common to all parallel structured data format readers.

See also:
  vtkXMLPImageDataReader vtkXMLPStructuredGridReader vtkXMLPRectilinearGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (97%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPStructuredDataReader.h)`
  - .`cxx` (`/IO/vtkXMLPStructuredDataReader.cxx)`

Definition at line 49 of file vtkXMLPStructuredDataReader.h.

## Public Types
typedef vtkXMLPDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkExtentTranslator * | GetExtentTranslator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPStructuredDataReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkXMLPStructuredDataReader ()
| ~vtkXMLPStructuredDataReader ()
vtkIdType | GetNumberOfPoints ()
vtkIdType | GetNumberOfCells ()
void | CopyArrayForPoints (vtkDataArray *inArray, vtkDataArray *outArray)
void | CopyArrayForCells (vtkDataArray *inArray, vtkDataArray *outArray)
virtual void | SetOutputExtent (int *extent)=0
virtual void | GetPieceInputExtent (int index, int *extent)=0
void | ReadXMLData ()
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupEmptyOutput ()
void | SetupPieces (int numPieces)
void | DestroyPieces ()
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData ()
void | CopySubExtent (int *inExtent, int *inDimensions, int *inIncrements, int *outExtent, int *outDimensions, int *outIncrements, int *subExtent, int *subDimensions, vtkDataArray *inArray, vtkDataArray *outArray)
## Protected Attributes
vtkTableExtentTranslator * | ExtentTranslator
int | UpdateExtent [6]
int | PointDimensions [3]
int | PointIncrements [3]
int | CellDimensions [3]
int | CellIncrements [3]
int | SubExtent [6]
int | SubPointDimensions [3]
int | SubCellDimensions [3]
int | SubPieceExtent [6]
int | SubPiecePointDimensions [3]
int | SubPiecePointIncrements [3]
int | SubPieceCellDimensions [3]
int | SubPieceCellIncrements [3]
int * | PieceExtents

## Member Typedef Documentation

typedef vtkXMLPDataReader vtkXMLPStructuredDataReader::Superclass

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader. Definition at line 52 of file vtkXMLPStructuredDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPStructuredDataReader::vtkXMLPStructuredDataReader | ( |  | ) | `[protected]`

vtkXMLPStructuredDataReader::~vtkXMLPStructuredDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPStructuredDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

int vtkXMLPStructuredDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

virtual int vtkXMLPStructuredDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

vtkXMLPStructuredDataReader* vtkXMLPStructuredDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

void vtkXMLPStructuredDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

virtual vtkExtentTranslator* vtkXMLPStructuredDataReader::GetExtentTranslator | ( |  | ) | `[virtual]`

| Get an extent translator that will create pieces matching the input file's piece breakdown. This can be used further down the pipeline to prevent reading from outside this process's piece. The translator is only valid after an UpdateInformation has been called.

vtkIdType vtkXMLPStructuredDataReader::GetNumberOfPoints | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

vtkIdType vtkXMLPStructuredDataReader::GetNumberOfCells | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

void vtkXMLPStructuredDataReader::CopyArrayForPoints | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

void vtkXMLPStructuredDataReader::CopyArrayForCells | ( | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

virtual void vtkXMLPStructuredDataReader::SetOutputExtent | ( | int * | extent | ) | `[protected, pure virtual]`

| Implemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

virtual void vtkXMLPStructuredDataReader::GetPieceInputExtent | ( | int | index,
|  | int * | extent
| ) | `[protected, pure virtual]`

| Implemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

void vtkXMLPStructuredDataReader::ReadXMLData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLReader.

int vtkXMLPStructuredDataReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPImageDataReader, vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

void vtkXMLPStructuredDataReader::SetupEmptyOutput | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPStructuredDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

void vtkXMLPStructuredDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

int vtkXMLPStructuredDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

int vtkXMLPStructuredDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader. Reimplemented in vtkXMLPRectilinearGridReader, and vtkXMLPStructuredGridReader.

void vtkXMLPStructuredDataReader::CopySubExtent | ( | int * | inExtent,
|  | int * | inDimensions,
|  | int * | inIncrements,
|  | int * | outExtent,
|  | int * | outDimensions,
|  | int * | outIncrements,
|  | int * | subExtent,
|  | int * | subDimensions,
|  | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected]`

## Member Data Documentation

vtkTableExtentTranslator* vtkXMLPStructuredDataReader::ExtentTranslator`[protected]`

| Definition at line 87 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::UpdateExtent[6]`[protected]`

| Definition at line 90 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::PointDimensions[3]`[protected]`

| Definition at line 91 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::PointIncrements[3]`[protected]`

| Definition at line 92 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::CellDimensions[3]`[protected]`

| Definition at line 93 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::CellIncrements[3]`[protected]`

| Definition at line 94 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubExtent[6]`[protected]`

| Definition at line 97 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPointDimensions[3]`[protected]`

| Definition at line 98 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubCellDimensions[3]`[protected]`

| Definition at line 99 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPieceExtent[6]`[protected]`

| Definition at line 100 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPiecePointDimensions[3]`[protected]`

| Definition at line 101 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPiecePointIncrements[3]`[protected]`

| Definition at line 102 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPieceCellDimensions[3]`[protected]`

| Definition at line 103 of file vtkXMLPStructuredDataReader.h.

int vtkXMLPStructuredDataReader::SubPieceCellIncrements[3]`[protected]`

| Definition at line 104 of file vtkXMLPStructuredDataReader.h.

int* vtkXMLPStructuredDataReader::PieceExtents`[protected]`

| Definition at line 107 of file vtkXMLPStructuredDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPStructuredDataReader.h